#
# (fg) 20010112 Library stuff...
#

%define name1 mirrordirz
%define libname1 %mklibname %name1 1
%define name2 diffie
%define libname2 %mklibname %name2 1

Name: mirrordir
Summary: Easy to use ftp mirroring package
Version: 0.10.49
Release: 6mdk
Source: ftp://ftp.obsidian.co.za/pub/mirrordir/mirrordir-%{version}.tar.bz2
Patch: mirrordir-datadir-fix.patch.bz2
Patch1: mirrordir-zlib-1.1.3-zfree.patch.bz2
Group: Networking/File transfer 
URL: ftp://ftp.obsidian.co.za/pub/mirrordir/
BuildRoot: %_tmppath/%name-%version-root
License: GPL
Prefix: %{_prefix}
Requires: %libname1 = %version, %libname2 = %version

%description
Easy to use ftp mirroring package - simply use
mirrordir ftp://some.where.com/dir /some/local/dir

%package -n %libname1
Summary: The mirrordirz library, necessary to run mirrordir.
Group: System/Libraries

%description -n %libname1
The mirrordirz library, necessary to run mirrordir.

%package -n %libname1-devel
Summary: Static version of the mirrordirz library
Group: Development/C
Requires: %libname1 = %{version}
Provides: lib%{name1}-devel

%description -n %{libname1}-devel
Static version of the mirrordirz library

%package -n %libname2
Summary: The diffie library, necessary to run mirrordir.
Group: System/Libraries

%description -n %libname2
The diffie library, necessary to run mirrordir.

%package -n %{libname2}-devel
Summary: Static version of the diffie library
Group: Development/C
Requires: %libname2 = %{version}
Provides: lib%{name2}-devel

%description -n %{libname2}-devel
Static version of the diffie library

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1
%patch1 -p1 -b .zfree

%build
%configure
%make


%install
perl -p -i -e 's/-f \$\(bindir\)\/mirrordir \$/-f \$\(bindir\)\/mirrordir \$\(DESTDIR\)\$/' src/Makefile
make install DESTDIR=$RPM_BUILD_ROOT 


%post -n %libname1 -p /sbin/ldconfig

%postun -n %libname1 -p /sbin/ldconfig

%post -n %libname2 -p /sbin/ldconfig

%postun -n %libname2 -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,755)
%doc AUTHORS BUGS COPYING README NEWS THANKS TODO
%{_bindir}/*
%{_datadir}/mirrordir
%config(noreplace) %{_sysconfdir}/secure*
%config(noreplace) %{_sysconfdir}/pam.d/*
%{_mandir}/man*/*

%files -n %libname1
%defattr(-,root,root,755)
%doc AUTHORS BUGS COPYING README NEWS THANKS TODO
%{_libdir}/lib%{name1}.so.*

%files -n %{libname1}-devel
%defattr(-,root,root,755)
%doc AUTHORS BUGS COPYING README NEWS THANKS TODO
%{_libdir}/lib%{name1}.so
%{_libdir}/lib%{name1}.a
%{_libdir}/lib%{name1}.la

%files -n %libname2
%defattr(-,root,root,755)
%doc AUTHORS BUGS COPYING README NEWS THANKS TODO
%{_libdir}/lib%{name2}.so.*

%files -n %{libname2}-devel
%defattr(-,root,root,755)
%doc AUTHORS BUGS COPYING README NEWS THANKS TODO
%{_libdir}/lib%{name2}.so
%{_libdir}/lib%{name2}.a
%{_libdir}/lib%{name2}.la

%changelog
* Mon Sep 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.10.49-6mdk
- use mklibname

* Thu Jul 17 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.10.49-5mdk
- rebuild

* Wed Mar  6 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.10.49-4mdk
- rebuild

* Mon Aug 13 2001 dam's <damien@mandrakesoft.com> 0.10.49-3mdk
- added doc

* Fri Jan 12 2001 Francis Galiegue <fg@mandrakesoft.com> 0.10.49-2mdk
- New lib policy: new packages lib{mirrordirz,diffie}
- Many spec file fixes
- Patch: make mirrordir use a decent private data dir

* Mon Nov 13 2000 Geoffrey Lee <snailtalk@mandrkaesoft.com> 0.10-49-1mdk
- new and shiny release.
- remove the strip code.
- remove autogenerated filelist.

* Wed Aug 30 2000 Etienne Faure <etienne@mandrakesoft.com> 0.10.44-4mdk
- rebuilt with _mandir macro
- added %post and %postun : ldconfig
* Mon Mar 27 2000 Daouda Lo <daouda@mandrakesoft.com> 0.10.44-3mdk
- fix group

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Force not the SMP my friend and all will be serene. (Yes i'm getting bord with writeing these)
- Zip and strip

* Tue Oct  5 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 0.10.44

* Fri Aug 20 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Fix broken symlinks 

* Sun Jul 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
-  0.10.41

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- initial RPM

